imRGB=imread('tshirt.jpg');
imHSV=rgb2hsv(imRGB);
H=imHSV(:,:,1);
S=imHSV(:,:,2);
V=imHSV(:,:,3);

for i=1:size(imHSV,1)
    for j=1:size(imHSV,2)
        if(H(i,j)>0.4&&(H(i,j)<0.7))
            H(i,j)=0.99;
        end
    end
end

imHSV(:,:,1)=H;
imResult=hsv2rgb(imHSV);
figure;
subplot(1,2,1),imshow(imRGB);
subplot(1,2,2), imshow(imResult);